Support for Lucene 3.0.3.0 and Azure SDK 1.8

Nov 12, 2012 at 5:54 PM

I was using this in my project and was working perfectly. recently my whole project moved to SDK 1.8 and now the search is broken. Any idea when the new SDK will be supported? Its a show stopper in my project currently...

Nov 13, 2012 at 1:52 PM
Edited Nov 13, 2012 at 1:53 PM

I faced the same issue after upgrading to windows azure sdk 1.8. What I did was grabbed the source and replaced the Microsoft.WindowsAzure.StorageClient library with the version 1.8. Important was to change the project to .net 4.0 - currently it is compiled to .net framework 3.5. Important to say that I compiled against Lucene .net 2.9.4.1

Hope it helps,

Marc

Nov 13, 2012 at 7:34 PM

You were just able to replace the ref and compile? I had lot of breaking changes. 

Nov 13, 2012 at 9:35 PM
Yes I added a ref, changed the .net framework from 3.5 to 4.0 and the build errors dissappeared.